Triton Mobile SDK for Android 3.5.1 This is a custom android player made by Triton Digital

Loading...
Searching...
No Matches
Classes | Public Member Functions | List of all members
com.tritondigital.net.streaming.proxy.client.Client.StateChangedListener Interface Reference

Interface to be implemented in order to be notified about the important changes of state of the client. More...

## Classes
enum | ErrorDetail
| All different reason for error, used when notifying the listener about an error (onClientError). More...

## Public Member Functions
void | onClientConnecting ()
| Client has started a connection attempt, but has not connected yet.
void | onClientConnected ()
| Client is connected.
void | onClientDisconnected ()
| Client has been disconnected voluntarily.
void | onClientStopping ()
| Client started to stop.
void | onClientError (ErrorDetail errorDetail)
| Client encountered an unrecoverable error.

## Detailed Description

Interface to be implemented in order to be notified about the important changes of state of the client.

Calls to this listener may come from any thread, so thread safety should be considered when designing the implementation.

## Member Function Documentation

## ◆ onClientConnected()

void com.tritondigital.net.streaming.proxy.client.Client.StateChangedListener.onClientConnected | ( |  | ) |

Client is connected.

Its internal state is State.CONNECTED.

## ◆ onClientConnecting()

void com.tritondigital.net.streaming.proxy.client.Client.StateChangedListener.onClientConnecting | ( |  | ) |

Client has started a connection attempt, but has not connected yet.

Its internal state is State.CONNECTING.

## ◆ onClientDisconnected()

void com.tritondigital.net.streaming.proxy.client.Client.StateChangedListener.onClientDisconnected | ( |  | ) |

Client has been disconnected voluntarily.

Its internal state is State.DISCONNECTED.

## ◆ onClientError()

void com.tritondigital.net.streaming.proxy.client.Client.StateChangedListener.onClientError | ( | ErrorDetail | errorDetail | ) |

Client encountered an unrecoverable error.

It has been disconnected and its internal state is State.ERROR.

## ◆ onClientStopping()

void com.tritondigital.net.streaming.proxy.client.Client.StateChangedListener.onClientStopping | ( |  | ) |

Client started to stop.

It disconnected and is waiting for the disconnected callback. Its internal state is State.STOPPING.

The documentation for this interface was generated from the following file:

- streamingproxy/src/main/java/com/tritondigital/net/streaming/proxy/client/Client.java